Subject: 2 bugs

From: [email-masked]
Date: Thu, 24 Feb 2000 08:52:24 -0500

I've discovered two apparent bugs in netatalk-1.4b2+asun2.1.3-4, running 
on LinuxPPC "Kernel 2.2.6-15apmac".  The problems are as follows:

1) Netatalk is adopting a group for Guest logins, other than the one the 
Guest account is set for, and, thereby, allowing folders to be created.

It has something to do with the user Nobody.  Add a user called "guest" 
and switch over guest access to that user and the ability to create a 
folder goes away.

2) Second bug:  owner must belong to the group in order to write to a 
directory, even if owner has write perms & group doesn't.

Have these already been reported/fixed?

---
Jim Hart
"Organization is necessary for things to exist; Chaos is necessary for 
things to evolve."